Bug 131087 - [ipw] [panic] ipw / iwi - no sent/received packets; iwi needs to be restarted; ipw / iwi causes kernel panic
Summary: [ipw] [panic] ipw / iwi - no sent/received packets; iwi needs to be restarted...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 7.1-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-28 19:00 UTC by Mariusz Gromada
Modified: 2018-05-28 19:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mariusz Gromada 2009-01-28 19:00:10 UTC
I am running FreeBSD 7.1 STABLE on IBM T40 machine. I have Intel(R) PRO/Wireless 2100 MiniPCI card.

bumper:bumper:~# dmesg | grep ipw0
ipw0: <Intel(R) PRO/Wireless 2100 MiniPCI> mem 0xc0210000-0xc0210fff
irq 11 at device 2.0 on pci2
ipw0: Ethernet address: xx:xx:xx:xx:xx:xx

Connection was tested using WinXP with AR5005G card.

Problems description:

Problem no. 1
--------------------------------------------
Driver is loaded, ipw0 interface can be found, adhoc
connection established without encryption -> WinXP/AR5005G shows CRC
errors when receiving data from FreeBSD/ipw0, it means that I have
associated status in ifconfig ipw0, WinXP/AR5005G shows established
connection (very good level of radio signal), no packets can be sent
or received.

my /boot/loader.conf

if_ipw_load="YES"
wlan_load="YES"
firmware_load="YES"
legal.intel_ipw.license_ack=1

ipw_bss_load="YES"
ipw_ibss_load="YES"
ipw_monitor_load="YES"

Above problem can be solved by changing /boot/loader.conf as follows

if_iwi_load="YES"
wlan_load="YES"
firmware_load="YES"
legal.intel_iwi.license_ack=1
legal.intel_ipw.license_ack=1

iwi_bss_load="YES"
iwi_ibss_load="YES"
iwi_monitor_load="YES"

iwi driver loads correctly, dmesg shows the same ipw0 Intel(R)
PRO/Wireless 2100 MiniPCI card, now connection works properly.

Problem no. 2:
--------------------------------------------
ipw / iwi needs to be restarted to work properly

- FreeBSD/ipw0 is connected to WinXP/AR5005G (adhoc mode)
- I close the connection shutting down WinXP (or disabling AR5005G
radio interface), FreeBSD/ipw0 stays untouched
- I start again AR5005G on WinXP
- connection seems to be established (signal level is good), but no
packets can be sent or received

Workaround solution is to restart ipw0 interface
ifconfig ipw0 down
ifconfig ipw0 up -> connection works properly

Problem no. 3:
--------------------------------------------
Sometimes, after ifconfig ipw0 (up/down/inet/etc..)
command, kernel panics

Sample panic info

 Architecture: i386
 Architecture Version: 2
 Dump Length: 56569856B (53 MB)
 Blocksize: 512
 Dumptime: Mon Jan 26 18:42:34 2009
 Hostname: bumper.multifraktal.net
 Magic: FreeBSD Kernel Dump
 Version String: FreeBSD 7.1-RELEASE #0: Thu Jan  1 14:37:25 UTC 2009
   root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC
 Panic String: page fault
 Dump Parity: 1189822569
 Bounds: 5
 Dump Status: good

I have been running IBM T40 (Intel(R) PRO/Wireless 2100 MiniPCI) for
three years with WinXP, everything was fine. I am almost sure this is
not a hardware issue.

--------------------------------------
dmesg

Copyright (c) 1992-2009 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.1-STABLE #0: Tue Jan 27 18:50:42 CET 2009
    bumper@bumper.multifraktal.net:/usr/obj/usr/src/sys/GENERIC
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Pentium(R) M processor 1500MHz (1495.16-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0x695  Stepping = 5
  Features=0xa7e9f9bf<FPU,VME,DE,PSE,TSC,MSR,MCE,CX8,SEP,MTRR,PGE,MCA,CMOV,PAT,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,TM,PBE>
  Features2=0x180<EST,TM2>
real memory  = 1073086464 (1023 MB)
avail memory = 1036382208 (988 MB)
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
ACPI Warning (tbfadt-0505): Optional field "Gpe1Block" has zero address or length:        0    102C/0 [20070320]
acpi0: <IBM TP-1R> on motherboard
acpi0: [ITHREAD]
acpi_ec0: <Embedded Controller: GPE 0x1c, ECDT> port 0x62,0x66 on acpi0
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, 3ff00000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
acpi_lid0: <Control Method Lid Switch> on acpi0
acpi_button0: <Sleep Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
agp0: <Intel 82855 host to AGP bridge> on hostb0
pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
vgapci0: <VGA-compatible display> port 0x3000-0x30ff mem 0xe0000000-0xe7ffffff,0xc0100000-0xc010ffff irq 11 at device 0.0 on pci1
uhci0: <Intel 82801DB (ICH4) USB controller USB-A> port 0x1800-0x181f irq 11 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <Intel 82801DB (ICH4) USB controller USB-A> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 82801DB (ICH4) USB controller USB-B> port 0x1820-0x183f irq 11 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <Intel 82801DB (ICH4) USB controller USB-B> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <Intel 82801DB (ICH4) USB controller USB-C> port 0x1840-0x185f irq 11 at device 29.2 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <Intel 82801DB (ICH4) USB controller USB-C> on uhci2
usb2: USB revision 1.0
uhub2: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
ehci0: <Intel 82801DB/L/M (ICH4) USB 2.0 controller> mem 0xc0000000-0xc00003ff irq 11 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb3: EHCI version 1.0
usb3: companion controllers, 2 ports each: usb0 usb1 usb2
usb3: <Intel 82801DB/L/M (ICH4) USB 2.0 controller> on ehci0
usb3: USB revision 2.0
uhub3: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb3
uhub3: 6 ports with 6 removable, self powered
pcib2: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci2: <ACPI PCI bus> on pcib2
cbb0: <TI1520 PCI-CardBus Bridge> mem 0xb0000000-0xb0000fff irq 11 at device 0.0 on pci2
cardbus0: <CardBus bus> on cbb0
pccard0: <16-bit PCCard bus> on cbb0
cbb0: [ITHREAD]
cbb1: <TI1520 PCI-CardBus Bridge> mem 0xb1000000-0xb1000fff irq 11 at device 0.1 on pci2
cardbus1: <CardBus bus> on cbb1
pccard1: <16-bit PCCard bus> on cbb1
cbb1: [ITHREAD]
em0: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0x8000-0x803f mem 0xc0220000-0xc023ffff,0xc0200000-0xc020ffff irq 11 at device 1.0 on pci2
em0: [FILTER]
em0: Ethernet address: xx:xx:xx:xx:xx:xx
pci2: <network> at device 2.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH4 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x1860-0x186f at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
pci0: <multimedia, audio> at device 31.5 (no driver attached)
pci0: <simple comms, generic modem> at device 31.6 (no driver attached)
acpi_tz0: <Thermal Zone> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: [ITHREAD]
psm0: model Generic PS/2 mouse, device ID 0
fdc0: <floppy drive controller (FDE)> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: [FILTER]
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 8250 or not responding
sio0: [FILTER]
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
battery0: <ACPI Control Method Battery> on acpi0
acpi_acad0: <AC Adapter> on acpi0
cpu0: <ACPI CPU> on acpi0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcffff,0xd0000-0xd0fff,0xd1000-0xd1fff,0xdc000-0xdffff,0xe0000-0xeffff pnpid ORM0000 on isa0
ppc0: <Parallel port> at port 0x3bc-0x3c3 irq 7 on isa0
ppc0: Generic chipset (NIBBLE-only) in COMPATIBLE mode
ppbus0: <Parallel port bus> on ppc0
ppbus0: [ITHREAD]
plip0: <PLIP network interface> on ppbus0
plip0: WARNING: using obsoleted IFF_NEEDSGIANT flag
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
ppc0: [GIANT-LOCKED]
ppc0: [ITHREAD]
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ums0: <Logitech USB-PS/2 Optical Mouse, class 0/0, rev 2.00/11.10, addr 2> on uhub1
ums0: 3 buttons and Z dir.
Timecounter "TSC" frequency 1495156390 Hz quality 800
Timecounters tick every 1.000 msec
ipfw2 (+ipv6) initialized, divert loadable, nat loadable, rule-based forwarding disabled, default to deny, logging disabled
ad0: 57231MB <HTS726060M9AT00 MH4OA6AA> at ata0-master UDMA100
acd0: CDRW <UJDA755zDVD/CDRW/1.20> at ata1-master UDMA33
Trying to mount root from ufs:/dev/ad0s1a
ipw0: <Intel(R) PRO/Wireless 2100 MiniPCI> mem 0xc0210000-0xc0210fff irq 11 at device 2.0 on pci2
ipw0: Ethernet address: xx:xx:xx:xx:xx:xx
ipw0: [ITHREAD]

Fix: 

Workaround
Problem no 1: use iwi instead of ipw driver
Problem no 2: restart ipw interface (down/up)
Problem no 3: unknown
How-To-Repeat: FreeBSD 7.1 STABLE, IBM T40 type 2373
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2009-02-01 21:01:03 UTC
State Changed
From-To: open->feedback

To submitter: Can I please confirm that for problem 1, you are saying that 
simply loading the iwi driver is enough to change how the ipw driver 
works? 
Also, are you able to get a backtrace from the kernel panic please? 


Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2009-02-01 21:01:03 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to -net
Comment 3 Jared Barneck 2010-04-28 04:49:04 UTC
Hello,

I have an IBM T40, pretty much the same settings as above, though I have an Intel 2200BG.

I installed 8 stable and when I try to configure my wireless my system just rebooted.

I installed PCBSD 8 next which I believe uses FreeBSD 8-Release and the wireless worked without error. 

However, I just installed a snapshot of PC-BSD which is using FreeBSD 8-Stable and sure enough it happened again.  So something is definitely causing a system crash with 8-Stable.

Thanks,

Jared Barneck
http://rhyous.com
Comment 4 bschmidt 2010-10-18 13:47:07 UTC
On Wednesday, April 28, 2010 06:20:03 you wrote:
>  I have an IBM T40, pretty much the same settings as above, though I have
> an Intel 2200BG.
> 
>  I installed 8 stable and when I try to configure my wireless my system
> just rebooted.
> 
>  I installed PCBSD 8 next which I believe uses FreeBSD 8-Release and the
> wireless worked without error.
> 
>  However, I just installed a snapshot of PC-BSD which is using FreeBSD
> 8-Stable and sure enough it happened again.  So something is definitely
> causing a system crash with 8-Stable.

Do you have a backtrace for that? Any kind of additional information would 
help. Could you also provide your settings, so I might be able to reproduce 
it?

--
Bernhard
Comment 5 Bernhard Schmidt freebsd_committer 2010-10-18 13:47:30 UTC
Responsible Changed
From-To: freebsd-net->bschmidt

over to me.
Comment 6 Jared Barneck 2010-10-19 20:15:41 UTC
>> On Wednesday, April 28, 2010 06:20:03 you wrote:
>>  I have an IBM T40, pretty much the same settings as above, though I have
>> an Intel 2200BG.
>> 
>>  I installed 8 stable and when I try to configure my wireless my system
>> just rebooted.
>> 
>>  I installed PCBSD 8 next which I believe uses FreeBSD 8-Release and the
>> wireless worked without error.
>> 
>>  However, I just installed a snapshot of PC-BSD which is using FreeBSD
>> 8-Stable and sure enough it happened again.  So something is definitely
>> causing a system crash with 8-Stable.

> Do you have a backtrace for that? Any kind of additional information would 
> help. Could you also provide your settings, so I might be able to reproduce 
> it?
>
> --
> Bernhard

There doesn't appear to be a back trace or a .core file of any type. 

My box just suddenly hangs for a few seconds, then I have a BIOS screen and I am 
rebooting.  


I downloaded the source for the network manager to look at it.

Some of the way it is hitting the files is using system commands to redirect the 
data into the file so it may not have even failed on a code command, it might 
have been a shell command run by the code when the reboot happened, so maybe the 
code never really failed, but was just in a normal state waiting for a return 
code.  Then again, maybe it was the code that caused my reboot.
Comment 7 Bernhard Schmidt freebsd_committer 2010-10-19 20:19:05 UTC
9, 2010 at 21:15, Jared Barneck <rhyous@yahoo.com> wrote:
>>> On Wednesday, April 28, 2010 06:20:03 you wrote:
>>> =A0I have an IBM T40, pretty much the same settings as above, though I =
have
>>> an Intel 2200BG.
>>>
>>> =A0I installed 8 stable and when I try to configure my wireless my syst=
em
>>> just rebooted.
>>>
>>> =A0I installed PCBSD 8 next which I believe uses FreeBSD 8-Release and =
the
>>> wireless worked without error.
>>>
>>> =A0However, I just installed a snapshot of PC-BSD which is using FreeBS=
D
>>> 8-Stable and sure enough it happened again. =A0So something is definite=
ly
>>> causing a system crash with 8-Stable.
>
>> Do you have a backtrace for that? Any kind of additional information wou=
ld
>> help. Could you also provide your settings, so I might be able to reprod=
uce
>> it?
>>
>> --
>> Bernhard
>
> There doesn't appear to be a back trace or a .core file of any type.
>
> My box just suddenly hangs for a few seconds, then I have a BIOS screen a=
nd I am
> rebooting.
>
>
> I downloaded the source for the network manager to look at it.
>
> Some of the way it is hitting the files is using system commands to redir=
ect the
> data into the file so it may not have even failed on a code command, it m=
ight
> have been a shell command run by the code when the reboot happened, so ma=
ybe the
> code never really failed, but was just in a normal state waiting for a re=
turn
> code. =A0Then again, maybe it was the code that caused my reboot.

I see. Would it be an option to try to configure the device directly from t=
he
command line? This way one would at least see what's going on.

--
Bernhard
Comment 8 bschmidt 2012-06-19 08:08:55 UTC
Just found that while cleaning up my inbox, sorry for not poking earlier.

Is there any further information to add to the matter?

On Tue, Oct 19, 2010 at 9:15 PM, Jared Barneck <rhyous@yahoo.com> wrote:
> There doesn't appear to be a back trace or a .core file of any type.
>
> My box just suddenly hangs for a few seconds, then I have a BIOS screen a=
nd I am
> rebooting.
>
>
> I downloaded the source for the network manager to look at it.
>
> Some of the way it is hitting the files is using system commands to redir=
ect the
> data into the file so it may not have even failed on a code command, it m=
ight
> have been a shell command run by the code when the reboot happened, so ma=
ybe the
> code never really failed, but was just in a normal state waiting for a re=
turn
> code. =A0Then again, maybe it was the code that caused my reboot.


--
Bernhard
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2015-03-10 03:27:23 UTC
Release to wild.

To submitter: is this PR still valid?
Comment 10 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:20 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.